import 'package:get/get.dart';
import 'package:prosappco/src/authentication/authentication_repository.dart';
import 'package:prosappco/src/screens/service.dart';

class OTPController extends GetxController {
  static OTPController get instance => Get.find();

  Future<void> verifyOTP(String otp) async {
    var isVerified = AuthenticationRepository.instance.verifyOTP(otp);
    await isVerified ? Get.offAll(const ServiceScreen()) : Get.back();
  }
}
